Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.xml
Class QDomEntity

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.xml.QDomNode
                  com.trolltech.qt.xml.QDomEntity

All Implemented Interfaces:
  QtJambiInterface, java.lang.Cloneable

    public class QDomEntity

extends QDomNode
implements java.lang.Cloneable

The `QDomEntity` class represents an XML entity. This class represents an entity in an XML document, either parsed or unparsed. Note that this models the entity itself not the entity declaration.

DOM does not support editing entity nodes; if a user wants to make changes to the contents of an entity, every related `QDomEntityReference` node must be replaced in the DOM tree by a clone of the entity's contents, and then the desired changes must be made to each of the clones instead. All the descendants of an entity node are read-only.

An entity node does not have any parent.

You can access the entity's `publicId()`, `systemId()` and `notationName()` when available.

For further information about the Document Object Model see Level 1 and Level 2 Core. For a more general introduction of the DOM implementation see the `QDomDocument` documentation.

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.xml.QDomNode
`QDomNode.EncodingPolicy, QDomNode.NodeType`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.Signal0, QSignalEmitter.Signal1, QSignalEmitter.Signal2, QSignalEmitter.Signal3, QSignalEmitter.Signal4, QSignalEmitter.Signal5, QSignalEmitter.Signal6, QSignalEmitter.Signal7, QSignalEmitter.Signal8, QSignalEmitter.Signal9`

Constructor Summary
`QDomEntity()` Constructs an empty entity.
`QDomEntity(QDomEntity x)` Constructs a copy of `x`.

Method Summary
`QDomEntity` | `clone()` This method is reimplemented for internal reasons
`static QDomEntity` | `fromNativePointer(QNativePointer nativePointer)` This method returns the QDomEntity instance pointed to by `nativePointer`.
`static QNativePointer` | `nativePointerArray(QDomEntity[] array)` This function returns a QNativePointer that is pointing to the specified QDomEntity array.
`java.lang.String` | `notationName()` For unparsed entities this function returns the name of the notation for the entity.
`java.lang.String` | `publicId()` Returns the public identifier associated with this entity.
`java.lang.String` | `systemId()` Returns the system identifier associated with this entity.

Methods inherited from class com.trolltech.qt.xml.QDomNode
`appendChild, childNodes, clear, cloneNode, cloneNode, columnNumber, firstChild, firstChildElement, firstChildElement, hasAttributes, hasChildNodes, insertAfter, insertBefore, isAttr, isCDATASection, isCharacterData, isComment, isDocument, isDocumentFragment, isDocumentType, isElement, isEntity, isEntityReference, isNotation, isNull, isProcessingInstruction, isSupported, isText, lastChild, lastChildElement, lastChildElement, lineNumber, localName, namedItem, namespaceURI, nativePointerArray, nextSibling, nextSiblingElement, nextSiblingElement, nodeName, nodeType, nodeValue, normalize, ownerDocument, parentNode, prefix, previousSibling, previousSiblingElement, previousSiblingElement, removeChild, replaceChild, save, save, setNodeValue, setPrefix, toAttr, toCDATASection, toCharacterData, toComment, toDocument, toDocumentFragment, toDocumentType, toElement, toEntity, toEntityReference, toNotation, toProcessingInstruction, toText, writeTo`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, equals, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QDomEntity

    public QDomEntity()

  Constructs an empty entity.

### QDomEntity

    public QDomEntity(QDomEntity x)

  Constructs a copy of `x`.

  The data of the copy is shared (shallow copy): modifying one node will also change the other. If you want to make a deep copy, use `cloneNode()`.

Method Detail

### notationName

    public final java.lang.String notationName()

  For unparsed entities this function returns the name of the notation for the entity. For parsed entities this function returns an empty string.

### publicId

    public final java.lang.String publicId()

  Returns the public identifier associated with this entity. If the public identifier was not specified an empty string is returned.

### systemId

    public final java.lang.String systemId()

  Returns the system identifier associated with this entity. If the system identifier was not specified an empty string is returned.

### fromNativePointer

    public static QDomEntity fromNativePointer(QNativePointer nativePointer)

  This method returns the QDomEntity instance pointed to by `nativePointer`.

### nativePointerArray

    public static QNativePointer nativePointerArray(QDomEntity[] array)

  This function returns a QNativePointer that is pointing to the specified QDomEntity array.

### clone

    public QDomEntity clone()

  This method is reimplemented for internal reasons

  Overrides:
    `clone` in class `QDomNode`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD